Package ru.bitel.bgbilling.modules.yoomoney.common.service

# Interface YoomoneyService

All Superinterfaces:
  `PaymentServiceProvider`

public interface YoomoneyService extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkTransaction(String yoomoneyId)`
  `void`
  `doManualAutopayment(int contractId, BigDecimal sum)`
  Ручной автоплатеж
  `SearchResult<Autopayment>`
  `searchAutopaymentList(int contractId, Period period, String[] sort, Page page)`
  Возращает историю изменения автоплатежей на договоре
  `SearchResult<Transaction>`
  `searchTransactionList(SearchParam searchParam)`

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction, getAutopaymentCurrentMode`

- ## Method Details

  - ### searchTransactionList

    SearchResult<Transaction> searchTransactionList(SearchParam searchParam) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTransaction

    void checkTransaction(String yoomoneyId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchAutopaymentList

    SearchResult<Autopayment> searchAutopaymentList(int contractId, Period period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Возращает историю изменения автоплатежей на договоре
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doManualAutopayment

    void doManualAutopayment(int contractId, BigDecimal sum) throws ru.bitel.bgbilling.common.BGException
    Ручной автоплатеж
    Specified by:
      `doManualAutopayment` in interface `PaymentServiceProvider`
    Parameters:
      `contractId` -
      `sum` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`